Welcome2L - Welcome to Linux, ANSI login logo for Linux
=======================================================


NOTE:
=====
Because "A 'welcome' page has been proven to be an invitation 
to come your system, thus making it legal to hack into your box." 
you may want to use the "-private" arg when running Welcome2L
to display an "Unauthorized access is prohibited" line at the bottom 
of the ANSI screen. 


USING THE -xmasauto OPTION:
===========================
[ From Kevin (Barthel) Knerr <ld_barthel@usa.net> ]
 
> No matter which distribution you use, the -xmasauto option is
> useless if you only run Welcome2L from a boot-time rc file --unless
> you boot your system every day. What you really want to do is to
> update /etc/issue daily without rebooting.  Here's how:
>
>    1) Edit your boot-time rc file to use Welcome2L as per
>       the directions for your distribution above. E.g.:
>
> /usr/bin/welcome2l -xmasauto -getty -msg"Slackware Linux 3.2" -cpu"Cyrix 6x86L" >/etc/issue
>
>       Note: The -cpu option is one of my personal modifications to
>       Welcome2L.
>
>    2) Create an entry in root's crontab file to rewrite
>       /etc/issue every day. E.g.:
>
> # Update /etc/issue with Welcome2L (ensures -xmasauto works!)
> 0 4 * * * exec /usr/bin/welcome2l -xmasauto -getty -msg"Slackware Linux 3.2" -cpu"Cyrix 6x86L" >/etc/issue
>
>       Note: I update at 4am because I work 3rd shift and login after work.
>
> If you haven't worked with (Dillon's) crontab before, do the following:
>    a) login as or su to root (if you su, cd to root's home first)
>    b) crontab -l >crontab.ori
>    c) cp crontab.ori crontab
>    d) edit crontab, add your new crontab entry, and save
>    e) crontab crontab
> This will ensure that you don't lose any default crontab entries from
> your distribution.


OPTIONS:
========
-scrxx
 display the screen number xx

-scrrand
 display a random screen

-msg"text of message" 
 show the msg given as the distribution info. 

-lcolxx 
 change the prompt color to the color number xx
 (i.e. -lcol14 will give you a yellow prompt)
 type -help to see what number are attributted to a color

-getty
 will display more accurate information when launched at boot time
 in an init script.	 

-cpu"string" 
 specifies an alternate CPU description


Contact
=======
You can get the last Welcome2L version, 
sources and binaries distribution or redhat package at :

	http://www.littleigloo.org

Author can be reached at : 

	jm@littleigloo.org	

Comments/suggestions/contribution/anything are welcome.


How to report bugs
==================

PLEASE check the BUGS file before reporting a bug.

To report a bug, send mail to : jm@littleigloo.org

In the mail remember to include:

* The version of Welcome2L you are using

* Information about your system. For instance:

   - What operating system and version

  And anything else you think is relevant.

* How to reproduce the bug. 

---------------------------------------------------------------------
Welcome2L - By Jean-Marc Jacquet <jm@littleigloo.org>, 
Copyright (c)1998-1999, Little Igloo Org http://www.LittleIgloo.org
---------------------------------------------------------------------
